Name:           libgourou
Version:        0.8.7
Release:        1%{?dist}
Summary:        Free implementation of Adobe's ADEPT protocol

License:        LGPLv3
URL:            https://forge.soutade.fr/soutade/libgourou
Source0:        https://forge.soutade.fr/soutade/libgourou/archive/v%{version}.tar.gz
Source1:        https://forge.soutade.fr/soutade/uPDFParser/archive/master.tar.gz

BuildRequires:  gcc gcc-c++
BuildRequires:  libcurl-devel openssl-devel libzip-devel pugixml-devel

%description
Free implementation of Adobe's ADEPT protocol used to add DRM on ePub/PDF files. It overcomes the lack of Adobe support for Linux platforms.

%prep
%autosetup -p1 -n %{name}
mkdir -p lib
tar -C lib -zxf %{SOURCE1}

%build
pushd lib/updfparser
make clean all BUILD_STATIC=1 BUILD_SHARED=0
popd
%make_build


%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=/%{_lib}


%files
%license LICENSE
%{_bindir}/acsmdownloader
%{_bindir}/adept_activate
%{_bindir}/adept_loan_mgt
%{_bindir}/adept_remove
%{_libdir}/libgourou.*
%{_mandir}/man1/acsmdownloader.1.gz
%{_mandir}/man1/adept_activate.1.gz
%{_mandir}/man1/adept_loan_mgt.1.gz
%{_mandir}/man1/adept_remove.1.gz


%changelog
* Sat Feb 22 2020 Olivier Samyn 🎻 <code@oleastre.be>
- Initial fedora package
